
:- use_module(library(chr)).
:- set_prolog_flag(prompt_alternatives_no_bindings, true). % SWI-prolog specific

:- chr_constraint rained_last_night/0, sprinkler_was_on/0, full_moon_last_night/0,
                  mixed_weather_last_night/0.

rained_last_night, full_moon_last_night ==> mixed_weather_last_night.

grass_is_wet:- rained_last_night.
grass_is_wet:- sprinkler_was_on.

% ?- full_moon_last_night, grass_is_wet.
